system.h File Reference

Some misc low-level API. More...

`#include <sys/file.h>`
`#include "rpmio/rpmutil.h"`
`#include "misc/fnmatch.h"`
`#include <dlfcn.h>`
Include dependency graph for system.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | dirent direct
#define | NLENGTH(direct) ((direct)->d_namlen)
#define | PATH_MAX 256
#define | xmalloc(_size) rmalloc((_size))
#define | xcalloc(_nmemb, _size) rcalloc((_nmemb), (_size))
#define | xrealloc(_ptr, _size) rrealloc((_ptr), (_size))
#define | xstrdup(_str) rstrdup((_str))
#define | _free(_ptr) rfree((_ptr))
#define | __progname program_name
#define | setprogname(pn)
#define | _(Text) Text
#define | N_(Text) Text

## Functions

char * | stpcpy (char *dest, const char *src)
char * | stpncpy (char *dest, const char *src, size_t n)

## Variables

const char * | program_name

## Detailed Description

Some misc low-level API.

Definition in file system.h.

## Macro Definition Documentation

## _

#define _ | ( |  | Text | ) | Text

Definition at line 112 of file system.h.

## __progname

#define __progname program_name

Definition at line 98 of file system.h.

## _free

#define _free | ( |  | _ptr | ) | rfree((_ptr))

Definition at line 89 of file system.h.

## dirent

#define dirent direct

Definition at line 56 of file system.h.

## N_

#define N_ | ( |  | Text | ) | Text

Definition at line 115 of file system.h.

## NLENGTH

#define NLENGTH | ( |  | direct | ) | ((direct)->d_namlen)

Definition at line 57 of file system.h.

## PATH_MAX

#define PATH_MAX 256

Definition at line 79 of file system.h.

## setprogname

#define setprogname | ( |  | pn | ) |

Value:
{ if ((__progname = strrchr(pn, '/')) != NULL) __progname++; \
else __progname = pn; \
}
__progname
#define __progname
Definition: system.h:98

Definition at line 99 of file system.h.

## xcalloc

#define xcalloc | ( |  | _nmemb,
|  |  | _size
| ) |  | rcalloc((_nmemb), (_size))

Definition at line 86 of file system.h.

## xmalloc

#define xmalloc | ( |  | _size | ) | rmalloc((_size))

Definition at line 85 of file system.h.

## xrealloc

#define xrealloc | ( |  | _ptr,
|  |  | _size
| ) |  | rrealloc((_ptr), (_size))

Definition at line 87 of file system.h.

## xstrdup

#define xstrdup | ( |  | _str | ) | rstrdup((_str))

Definition at line 88 of file system.h.

## Function Documentation

## stpcpy()

char* stpcpy | ( | char * | dest,
|  | const char * | src
| ) |  |

## stpncpy()

char* stpncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

## Variable Documentation

## program_name

const char* program_name

Definition at line 4 of file rpm2archive.c.